<?php

namespace App\Controller;

use App\Entity\Printer;
use App\Repository\PrinterRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\Routing\Annotation\Route;

class PrinterCrudController extends AbstractController
{
    public function __construct(private readonly PrinterRepository $printerRepository)
    {
    }

    #[Route('/printer', name: 'printer')]
    public function printer(): JsonResponse
    {
        return $this->json($this->printerRepository->findAll());
    }

    #[Route('/printer/{id}', name: 'app_printer', methods: ["GET"])]
    public function index(?Printer $printer): JsonResponse
    {
        if (!$printer) {
            return $this->json([
                'message' => 'printer does not exist',
            ]);
        }

        return $this->json($printer);
    }
}
